org.apache.ignite.spi.metric

## Interface ReadOnlyMetricManager

All Superinterfaces:
  Iterable<ReadOnlyMetricRegistry>

All Known Implementing Classes:
  GridMetricManager

    public interface ReadOnlyMetricManager
    extends Iterable<ReadOnlyMetricRegistry>

Read only metric manager.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addMetricRegistryCreationListener(Consumer<ReadOnlyMetricRegistry> lsnr)` Adds listener of metrics registry creation events.
`void` `addMetricRegistryRemoveListener(Consumer<ReadOnlyMetricRegistry> lsnr)` Adds listener of metrics registry remove events.

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### addMetricRegistryCreationListener

    void addMetricRegistryCreationListener(Consumer<ReadOnlyMetricRegistry> lsnr)

Adds listener of metrics registry creation events.

Parameters:
  `lsnr` - Listener.

#### addMetricRegistryRemoveListener

    void addMetricRegistryRemoveListener(Consumer<ReadOnlyMetricRegistry> lsnr)

Adds listener of metrics registry remove events.

Parameters:
  `lsnr` - Listener.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021